# arm_dct4_instance_q15 Struct Reference

Instance structure for the Q15 DCT4/IDCT4 function. More...

`#include <arm_math.h>`

## Data Fields

uint16_t | N
uint16_t | Nby2
q15_t | normalize
q15_t * | pTwiddle
q15_t * | pCosFactor
arm_rfft_instance_q15 * | pRfft
arm_cfft_radix4_instance_q15 * | pCfft

## Detailed Description

Instance structure for the Q15 DCT4/IDCT4 function.

Definition at line 2388 of file arm_math.h.

## Field Documentation

uint16_t arm_dct4_instance_q15::N

length of the DCT4.

Definition at line 2390 of file arm_math.h.

uint16_t arm_dct4_instance_q15::Nby2

half of the length of the DCT4.

Definition at line 2391 of file arm_math.h.

q15_t arm_dct4_instance_q15::normalize

normalizing factor.

Definition at line 2392 of file arm_math.h.

q15_t* arm_dct4_instance_q15::pTwiddle

points to the twiddle factor table.

Definition at line 2393 of file arm_math.h.

q15_t* arm_dct4_instance_q15::pCosFactor

points to the cosFactor table.

Definition at line 2394 of file arm_math.h.

arm_rfft_instance_q15* arm_dct4_instance_q15::pRfft

points to the real FFT instance.

Definition at line 2395 of file arm_math.h.

arm_cfft_radix4_instance_q15* arm_dct4_instance_q15::pCfft

points to the complex FFT instance.

Definition at line 2396 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines